import { Dictionary } from 'lodash';
import { Subject } from 'rxjs';
import { Application } from 'core/application/application.model';
import { IFunction, IFunctionGroup } from 'core/domain';
export declare class FunctionFilterService {
    groupsUpdatedStream: Subject<IFunctionGroup[]>;
    private lastApplication;
    constructor();
    private addSearchFields;
    private checkSearchTextFilter;
    filterFunctionsForDisplay(functions: IFunction[]): IFunction[];
    sortGroupsByHeading(): void;
    clearFilters(): void;
    getFunctionGroups(groupedByAccount: Dictionary<IFunction[]>): IFunctionGroup[];
    updateFunctionGroups(application: Application): void;
}
